Category:    
Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

After making the V1 controllers obsolete, the code around applying default info to the organization got more or less unreachable

https://github.com/Katello/katello/blob/22db6d7770819282ef00d08cf74e36e0a13dc861/app/models/katello/concerns/organization_ex

tensions.rb#L215-L231

Since it uses the delayed jobs for the async work, it should either be removed and rewritten to Dynflow or just removed (in case we

don't plan to provide this functionality later)

Related issues:

Blocks Katello - Refactor #6297: Remove katello-jobs Closed 06/19/2014

Associated revisions

Revision 29b2a618 - 08/19/2014 06:25 AM - Ivan Necas

Fixes #6304 - remove apply default info

As the feature is not reachable by the current UI/API and CLI and

there are no recent plans for enabling this feature again (probably

the foreman facts might be used instead), I'm removing the apply

default info to all hosts, as it's one of the last parts of the

code-base using delayed jobs and investing time to rewriting this to

Dynflow is not effective.

History

#1 - 06/20/2014 07:58 AM - Ivan Necas

- Blocks Refactor #6297: Remove katello-jobs added

#2 - 07/28/2014 08:43 AM - Eric Helms

- Target version changed from 49 to 54

#3 - 08/05/2014 10:50 AM - Ivan Necas

- Status changed from New to Assigned

I went thought he code, ui and api and the code for applying the default info to hosts and as it is now, it's not reachable. Also, the foreman facts

should probably be considered as replacement for the system custom info. As this one of the last async tasks using the delayed jobs, I'm removing

the old code, and posponing the re-implementation (if any) to later stages.

#4 - 08/15/2014 01:29 PM - Eric Helms

- Status changed from Assigned to Ready For Testing

- Assignee set to Ivan Necas

- Triaged changed from No to Yes

- Pull request https://github.com/Katello/katello/pull/4564 added

05/20/2024 1/2

https://github.com/Katello/katello/blob/22db6d7770819282ef00d08cf74e36e0a13dc861/app/models/katello/concerns/organization_extensions.rb#L215-L231
https://github.com/Katello/katello/blob/22db6d7770819282ef00d08cf74e36e0a13dc861/app/models/katello/concerns/organization_extensions.rb#L215-L231


- Pull request deleted ()

#5 - 08/18/2014 08:31 AM - Eric Helms

- Target version changed from 54 to 55

#6 - 08/18/2014 08:41 AM - Eric Helms

- translation missing: en.field_release set to 13

#7 - 08/20/2014 08:01 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|29b2a618e1f1934b0dd7853761af52310d3b7a3d.
